Create Signing Packet

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}/get-authentisign-url

Generates an Authentisign 2 (AS2) SSO signing URL for the specified transaction. Builds a signing session using the authenticated member's profile, the specified transaction, and the provided document list and packet name. The returned URL can be used to redirect the user directly into the Authentisign signing experience.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

Query parameters

  • docList string Required

    Comma-separated list of form or document IDs to include in the signing packet.

  • packetName string Required

    The name to assign to the Authentisign e-sign packet.

Responses

  • 200 application/json

    Signing URL generated successfully.

    Hide response attribute Show response attribute object
    • url string(uri)

      The Authentisign SSO URL to redirect the user to for signing.

  • 400

    Bad request. Missing or invalid parameters.

  • 401

    Unauthorized.

  • 404

    Transaction not found.

GET /transactions/{transactionId}/get-authentisign-url
curl \
 --request GET 'https://ws.zipformplus.com/api/transactions/{transactionId}/get-authentisign-url?docList=form-id-1%2Cform-id-2%2Cdoc-id-3&packetName=Purchase+Agreement+Signing' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "url": "https://cloud.authentisign.com/sso?sso=eyJhbGci...&signingId=97757ef1-2a4c-ee11-a3f1-6045bddacb97&redirectUrl=https%3a%2f%2fzipformplus.com%2fdefault.aspx"
}